/// AUTO GENERATED BY build.rs

use std::collections::HashMap;

use webrender_build::shader::ShaderVersion;

pub struct SourceWithDigest {
    pub source: &'static str,
    pub digest: &'static str,
}

pub struct OptimizedSourceWithDigest {
    pub vert_source: &'static str,
    pub frag_source: &'static str,
    pub digest: &'static str,
}

lazy_static! {
  pub static ref UNOPTIMIZED_SHADERS: HashMap<&'static str, SourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert("base", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/base.glsl"), digest: "b14895de76d4a441"});
    shaders.insert("brush", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush.glsl"), digest: "668724cad9a3df80"});
    shaders.insert("brush_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_blend.glsl"), digest: "17b06c5efe78b5f6"});
    shaders.insert("brush_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_conic_gradient.glsl"), digest: "78a8f2ce88fbd316"});
    shaders.insert("brush_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_image.glsl"), digest: "6566e6d3ad8f6f21"});
    shaders.insert("brush_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_linear_gradient.glsl"), digest: "3e580f7215967229"});
    shaders.insert("brush_mix_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_mix_blend.glsl"), digest: "e7ef4644ca7787c0"});
    shaders.insert("brush_multi", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_multi.glsl"), digest: "c941cc68ed045e0"});
    shaders.insert("brush_opacity", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_opacity.glsl"), digest: "a661802a0f160305"});
    shaders.insert("brush_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_radial_gradient.glsl"), digest: "a7951c54caa79c8b"});
    shaders.insert("brush_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_solid.glsl"), digest: "c8fd87885cdc1633"});
    shaders.insert("brush_yuv_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/brush_yuv_image.glsl"), digest: "6f750b95d64b8524"});
    shaders.insert("clip_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/clip_shared.glsl"), digest: "6032154b5f116105"});
    shaders.insert("composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/composite.glsl"), digest: "6cc44c0f37ce999c"});
    shaders.insert("cs_blur", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_blur.glsl"), digest: "409f2cc9da6c47d6"});
    shaders.insert("cs_border_segment", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_border_segment.glsl"), digest: "d92f89572e33daae"});
    shaders.insert("cs_border_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_border_solid.glsl"), digest: "21000ec494528a42"});
    shaders.insert("cs_clip_box_shadow", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_clip_box_shadow.glsl"), digest: "3856a959effc7b86"});
    shaders.insert("cs_clip_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_clip_image.glsl"), digest: "d2a3ddfec3986da7"});
    shaders.insert("cs_clip_rectangle", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_clip_rectangle.glsl"), digest: "251dc3aefdf4f32e"});
    shaders.insert("cs_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_gradient.glsl"), digest: "138aedc206fda172"});
    shaders.insert("cs_line_decoration", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_line_decoration.glsl"), digest: "d22933e6d52615dc"});
    shaders.insert("cs_scale", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_scale.glsl"), digest: "693bcf1bfd077ce5"});
    shaders.insert("cs_svg_filter", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/cs_svg_filter.glsl"), digest: "f1a4fb9bb7b681e3"});
    shaders.insert("debug_color", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/debug_color.glsl"), digest: "c807ebc46aa8b3a7"});
    shaders.insert("debug_font", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/debug_font.glsl"), digest: "8da52bdc4ea28fd6"});
    shaders.insert("ellipse", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/ellipse.glsl"), digest: "1e032a973f70cdac"});
    shaders.insert("gpu_cache", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/gpu_cache.glsl"), digest: "a2bac6d1bcff1991"});
    shaders.insert("gpu_cache_update", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/gpu_cache_update.glsl"), digest: "810e56579bee2fad"});
    shaders.insert("pf_vector_cover", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/pf_vector_cover.glsl"), digest: "a47be1df7b779e69"});
    shaders.insert("pf_vector_stencil", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/pf_vector_stencil.glsl"), digest: "cabeeb7c32f8cb1d"});
    shaders.insert("pls_init", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/pls_init.glsl"), digest: "652498fd154d7495"});
    shaders.insert("pls_resolve", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/pls_resolve.glsl"), digest: "d0a4548ea4230612"});
    shaders.insert("prim_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/prim_shared.glsl"), digest: "eda11bf5d37b2795"});
    shaders.insert("ps_clear", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/ps_clear.glsl"), digest: "3acfd8a1f197f55b"});
    shaders.insert("ps_split_composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/ps_split_composite.glsl"), digest: "13c8c2e7b1b85159"});
    shaders.insert("ps_text_run", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/ps_text_run.glsl"), digest: "2871302a0dc344de"});
    shaders.insert("rect", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/rect.glsl"), digest: "f76a75fecfd22688"});
    shaders.insert("render_task", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/render_task.glsl"), digest: "962a4083be1b63d0"});
    shaders.insert("shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/shared.glsl"), digest: "ce6edf74cc6cac92"});
    shaders.insert("shared_other", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/shared_other.glsl"), digest: "9f6298a27dfe79c6"});
    shaders.insert("transform", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/transform.glsl"), digest: "b9c88128cc4fb48c"});
    shaders.insert("yuv", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-81.0.2/gfx/wr/webrender/res/yuv.glsl"), digest: "1d305a07270527a9"});
    shaders
  };

  pub static ref OPTIMIZED_SHADERS: HashMap<(ShaderVersion, &'static str), OptimizedSourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert((ShaderVersion::Gl, "brush_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_blend_Gl.frag"),
        digest: "e9136c027f3124fb",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_blend_ALPHA_PASS_Gl.frag"),
        digest: "686c98b953598a2",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "e83adbf57a2d600c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_conic_gradient_Gl.frag"),
        digest: "ddefe11281eda7b1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_conic_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_conic_gradient_ALPHA_PASS_Gl.frag"),
        digest: "d7d975201098cb0f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_conic_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_conic_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "bbaf5a22c663dd04",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_Gl.frag"),
        digest: "4c829e63c239d195",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_Gl.frag"),
        digest: "b27e9e89184a1dee",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_Gl.frag"),
        digest: "299e1198c7f1c0b2",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "cc9622537fc9e9f9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "104eb6736bec57c9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "a39a97714fa51e66",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "eb82907069e6bf90",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_Gl.frag"),
        digest: "763a955d8ffddd",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_Gl.frag"),
        digest: "14cfd1df4941ff16",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "fe3505fcc2058536",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "eb62f9c8d2f566fc",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_Gl.frag"),
        digest: "456eacb5445b0f38",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "88f56a750182f913",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "e64d368aa0fcdde0",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.frag"),
        digest: "a6eb5013ca495ba3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "fb02c2cf8c319733",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.frag"),
        digest: "b674ab05d922df9a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "950a83486f85813f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "941c99c151e8f125",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_Gl.frag"),
        digest: "d5e6b04ed5300825",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "e4485b75b9afb32f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "ebc804863bdce234",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_REPETITION_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_REPETITION_Gl.frag"),
        digest: "a24b95f7b1997fcc",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "b2e15ed31f0e6d7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "d6a15a976bad64e9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_DEBUG_OVERDRAW_Gl.frag"),
        digest: "766c5e0a2bc7b9ca",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "293afff5402677b6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.frag"),
        digest: "5558cfede866006a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_TEXTURE_2D_Gl.frag"),
        digest: "fbe7ae8dc419fe5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_image_TEXTURE_RECT_Gl.frag"),
        digest: "f40600b11c500562",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_linear_gradient_Gl.frag"),
        digest: "8a74177dba9873b8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_linear_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_linear_gradient_ALPHA_PASS_Gl.frag"),
        digest: "3d52a107db1a975b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "db9445f9ba54cd95",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_mix_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_mix_blend_Gl.frag"),
        digest: "b0fd0b383368053e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_mix_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_mix_blend_ALPHA_PASS_Gl.frag"),
        digest: "9e6aeaaf38f03e81",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "7e8b062b5ebed8d6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_opacity_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_opacity_Gl.frag"),
        digest: "7b19b6012fd0e70c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_opacity_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_opacity_ALPHA_PASS_Gl.frag"),
        digest: "3d6cf05e45e07d53",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_opacity_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_opacity_DEBUG_OVERDRAW_Gl.frag"),
        digest: "4fa69adb37da4040",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_radial_gradient_Gl.frag"),
        digest: "68eedbe9769d341a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_radial_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_radial_gradient_ALPHA_PASS_Gl.frag"),
        digest: "c01293260f5250ec",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_radial_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_radial_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "d13f7c9d046c1d1a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_solid_Gl.frag"),
        digest: "a67197bbb2aac3e5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_solid_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_solid_ALPHA_PASS_Gl.frag"),
        digest: "da0554928b986bc2",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_solid_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_solid_DEBUG_OVERDRAW_Gl.frag"),
        digest: "97667ed712871ce8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.frag"),
        digest: "8b445d296b14fb12",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "82e63aaac4b536e6",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_ALPHA_PASS_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_ALPHA_PASS_YUV_Gl.frag"),
        digest: "c13de0a210202794",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.frag"),
        digest: "266d154fceab2273",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "24e32d3db43d62f4",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_DEBUG_OVERDRAW_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_DEBUG_OVERDRAW_YUV_Gl.frag"),
        digest: "b8d7b630298f268d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.frag"),
        digest: "fb0ba8ae14ef1736",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "f4c269ab5f6a8a78",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/brush_yuv_image_YUV_Gl.frag"),
        digest: "5f6e90b1e81931c7",
    });
    shaders.insert((ShaderVersion::Gl, "composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_Gl.frag"),
        digest: "d5fca6e0a1e2e22d",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_TEXTURE_2D_Gl.frag"),
        digest: "735e8fd876514e64",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_TEXTURE_2D_YUV_Gl.frag"),
        digest: "daeff7496b575c18",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_TEXTURE_RECT_Gl.frag"),
        digest: "9ec7eb5a4538cf9a",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "20c6a6320f3f5d94",
    });
    shaders.insert((ShaderVersion::Gl, "composite_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/composite_YUV_Gl.frag"),
        digest: "cd5264c4c6d329ad",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_ALPHA_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_blur_ALPHA_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_blur_ALPHA_TARGET_Gl.frag"),
        digest: "a4505e626391829",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_COLOR_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_blur_COLOR_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_blur_COLOR_TARGET_Gl.frag"),
        digest: "7b7cd0860f43fd4a",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_segment"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_border_segment_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_border_segment_Gl.frag"),
        digest: "b6d2af5dd56bcdbf",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_border_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_border_solid_Gl.frag"),
        digest: "24afdca08dbb2647",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_box_shadow"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_clip_box_shadow_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_clip_box_shadow_Gl.frag"),
        digest: "5c4afd0767f7509",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_image"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_clip_image_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_clip_image_Gl.frag"),
        digest: "e5797b4c46b2ebe3",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_clip_rectangle_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_clip_rectangle_Gl.frag"),
        digest: "c18ea5914fbe5f51",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_clip_rectangle_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_clip_rectangle_FAST_PATH_Gl.frag"),
        digest: "d692dda166494400",
    });
    shaders.insert((ShaderVersion::Gl, "cs_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_gradient_Gl.frag"),
        digest: "7713c41d03e3256c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_line_decoration"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_line_decoration_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_line_decoration_Gl.frag"),
        digest: "a1038d3309f494d9",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_scale_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_scale_Gl.frag"),
        digest: "4c45005089cff0c1",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_svg_filter_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/cs_svg_filter_Gl.frag"),
        digest: "53283d99bf16a40f",
    });
    shaders.insert((ShaderVersion::Gl, "ps_clear"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_clear_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_clear_Gl.frag"),
        digest: "e696a5e94c11171b",
    });
    shaders.insert((ShaderVersion::Gl, "ps_split_composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_split_composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_split_composite_Gl.frag"),
        digest: "73ff9f9cb1166ff9",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_ALPHA_PASS_Gl.frag"),
        digest: "a64b6003f503e255",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_Gl.frag"),
        digest: "39ee4972e85e0063",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_Gl.frag"),
        digest: "a5275dfcfcecd3c0",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_Gl.frag"),
        digest: "ba9ee38a685ddcae",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_DEBUG_OVERDRAW_Gl.frag"),
        digest: "ef2a4d24de6a5cb9",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-81.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-3bfd57d16fe97074/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_Gl.frag"),
        digest: "b873699a42700e24",
    });
    shaders
  };
}
